import{s as I,n as N,o as Z}from"../chunks/scheduler.b108d059.js";import{S as z,i as Q,g as f,s as o,r as M,A as Y,h as _,f as i,c as l,j as H,u as E,x as A,k as J,y as F,a,v as L,d as V,t as k,w as j}from"../chunks/index.008de539.js";import{C as X}from"../chunks/CodeBlock.3968c746.js";import{H as q}from"../chunks/Heading.88bfeb84.js";function S(B){let n,b,h,w,c,T,r,D=`You can build our own CPU or CUDA TEI container using Docker.  To build a CPU container, run the following command in the
directory containing your custom Dockerfile:`,C,m,v,s,G=`To build a CUDA container, it is essential to determine the compute capability (compute cap) of the GPU that will be
used at runtime. This information is crucial for the proper configuration of the CUDA containers. The following are
the examples of runtime compute capabilities for various GPU types:`,x,u,R="<li>Turing (T4, RTX 2000 series, …) - <code>runtime_compute_cap=75</code></li> <li>A100 - <code>runtime_compute_cap=80</code></li> <li>A10 - <code>runtime_compute_cap=86</code></li> <li>Ada Lovelace (RTX 4000 series, …) - <code>runtime_compute_cap=89</code></li> <li>H100 - <code>runtime_compute_cap=90</code></li>",y,p,W=`Once you have determined the compute capability is determined, set it as the <code>runtime_compute_cap</code> variable and build
the container as shown in the example below:`,P,d,U,$,g;return c=new q({props:{title:"Build a custom container for TEI",local:"build-a-custom-container-for-tei",headingTag:"h1"}}),m=new X({props:{code:"ZG9ja2VyJTIwYnVpbGQlMjAu",highlighted:"docker build .",wrap:!1}}),d=new X({props:{code:"cnVudGltZV9jb21wdXRlX2NhcCUzRDgwJTBBJTBBZG9ja2VyJTIwYnVpbGQlMjAuJTIwLWYlMjBEb2NrZXJmaWxlLWN1ZGElMjAtLWJ1aWxkLWFyZyUyMENVREFfQ09NUFVURV9DQVAlM0QlMjRydW50aW1lX2NvbXB1dGVfY2Fw",highlighted:`runtime_compute_cap=80

docker build . -f Dockerfile-cuda --build-arg CUDA_COMPUTE_CAP=$runtime_compute_cap`,wrap:!1}}),{c(){n=f("meta"),b=o(),h=f("p"),w=o(),M(c.$$.fragment),T=o(),r=f("p"),r.textContent=D,C=o(),M(m.$$.fragment),v=o(),s=f("p"),s.textContent=G,x=o(),u=f("ul"),u.innerHTML=R,y=o(),p=f("p"),p.innerHTML=W,P=o(),M(d.$$.fragment),U=o(),$=f("p"),this.h()},l(e){const t=Y("svelte-u9bgzb",document.head);n=_(t,"META",{name:!0,content:!0}),t.forEach(i),b=l(e),h=_(e,"P",{}),H(h).forEach(i),w=l(e),E(c.$$.fragment,e),T=l(e),r=_(e,"P",{"data-svelte-h":!0}),A(r)!=="svelte-168bqza"&&(r.textContent=D),C=l(e),E(m.$$.fragment,e),v=l(e),s=_(e,"P",{"data-svelte-h":!0}),A(s)!=="svelte-z297w4"&&(s.textContent=G),x=l(e),u=_(e,"UL",{"data-svelte-h":!0}),A(u)!=="svelte-7z8qoi"&&(u.innerHTML=R),y=l(e),p=_(e,"P",{"data-svelte-h":!0}),A(p)!=="svelte-138ec41"&&(p.innerHTML=W),P=l(e),E(d.$$.fragment,e),U=l(e),$=_(e,"P",{}),H($).forEach(i),this.h()},h(){J(n,"name","hf:doc:metadata"),J(n,"content",O)},m(e,t){F(document.head,n),a(e,b,t),a(e,h,t),a(e,w,t),L(c,e,t),a(e,T,t),a(e,r,t),a(e,C,t),L(m,e,t),a(e,v,t),a(e,s,t),a(e,x,t),a(e,u,t),a(e,y,t),a(e,p,t),a(e,P,t),L(d,e,t),a(e,U,t),a(e,$,t),g=!0},p:N,i(e){g||(V(c.$$.fragment,e),V(m.$$.fragment,e),V(d.$$.fragment,e),g=!0)},o(e){k(c.$$.fragment,e),k(m.$$.fragment,e),k(d.$$.fragment,e),g=!1},d(e){e&&(i(b),i(h),i(w),i(T),i(r),i(C),i(v),i(s),i(x),i(u),i(y),i(p),i(P),i(U),i($)),i(n),j(c,e),j(m,e),j(d,e)}}}const O='{"title":"Build a custom container for TEI","local":"build-a-custom-container-for-tei","sections":[],"depth":1}';function K(B){return Z(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ne extends z{constructor(n){super(),Q(this,n,K,S,I,{})}}export{ne as component};
